Description

How to use custom field for activities ?

RedmineCustomFields says :

 Data in time tracking activity custom fields can be used and/or will be displayed in the Timelog report and the Project

settings. See also #4077 for some details about this nifty feature.

I don't know it is regression or wrong documentation.

Related issues:

Related to Redmine - Feature #21061: Custom Field for Spent time Closed

Related to Redmine - Feature #25773: Add more custom fields types to criteria... New

History

#1 - 2015-02-20 05:38 - Mischa The Evil

- Category changed from Custom fields to Documentation

Well, it is the documentation that is not specific enough. Time entry activity custom fields are available

1

 on the timelog report as available_criteria (

source:/trunk/lib/redmine/helpers/time_report.rb@14042#L137), but only those that are of the boolean or list custom field format and where the list

field format which has "multiple values" enabled is not included (source:/trunk/lib/redmine/helpers/time_report.rb@14042#L140).

Furthermore are time entry activity custom fields of all custom field formats (and without further restrictions) rendered on:

the administrative (global) time entry activity enumeration edit views;

the (per project) project settings views (to override the global values).

1

 introduced with r2951 for #4077.

#2 - 2015-08-14 12:44 - Toshi MARUYAMA

I don't know it is related or not, #1766#note-30 says there is a regression.

#3 - 2015-09-24 00:53 - James Vreeken

I am also having this problem... we have a custom field called "Job Number"  we would like to be able to create a report thru the tool that exports the

week with time spent along with the job number...  Its not working...

#4 - 2015-11-17 13:37 - Toshi MARUYAMA

- Related to Feature #21061: Custom Field for Spent time added

#5 - 2017-06-02 08:36 - Mischa The Evil

- Related to Feature #25773: Add more custom fields types to criteria in time entries report added

#6 - 2017-06-02 08:53 - Mischa The Evil

Toshi MARUYAMA wrote:

I don't know it is related or not, #1766#note-30 says there is a regression.

2025-05-17 1/2

https://www.redmine.org/boards/2/topics/45181
https://www.redmine.org/projects/redmine/wiki/RedmineCustomFields#Fields-for-Activities-time-tracking
https://www.redmine.org/issues/4077
https://www.redmine.org/projects/redmine/repository/svn/revisions/14042/entry/trunk/lib/redmine/helpers/time_report.rb#L137
https://www.redmine.org/projects/redmine/repository/svn/revisions/14042/entry/trunk/lib/redmine/helpers/time_report.rb#L140
https://www.redmine.org/projects/redmine/repository/svn/revisions/2951
https://www.redmine.org/issues/4077
https://www.redmine.org/issues/1766#note-30
https://www.redmine.org/issues/1766#note-30


 Toshi, I don't think there was a regression in Redmine 2.3.0 regarding this feature. Starting from Redmine 0.7 onward (which introduced custom fields

as timelog report criteria), only boolean and list custom fields were included (see r1340). This behaviour hasn't changed over time (besides the

addition of the exclusion of multiple-value enabled list custom fields).

See #25773 for a general feature request to add more custom field types as report criteria.

#7 - 2017-06-02 09:03 - Mischa The Evil

Btw: I have added a footnote to RedmineCustomFields wiki page (diff) with a reference to this issues note-1, for the time being.
https://www.redmine.org/versions/60
https://www.redmine.org/versions/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/1340
https://www.redmine.org/issues/25773
https://www.redmine.org/projects/redmine/wiki/RedmineCustomFields#Fields-for-Activities-time-tracking
www.redmine.org/projects/redmine/wiki/RedmineCustomFields/diff?utf8=%E2%9C%93&version=23&version_from=22&commit=View+differences
http://www.tcpdf.org

